Chapter 2. Installing [fleXive]

Table of Contents

Prerequisites
To run [fleXive] and develop [fleXive] applications you need...
To develop [fleXive] you need...
[fleXive] installation guide for JBoss 4.2.2 GA
Required libraries
System configuration
Database Setup
Deployment
Starting [fleXive]
Refining your configuration
[fleXive] installation guide for Glassfish V2
Required libraries
Running the ant task
Database Setup
Setting up and starting Glassfish
Creating the Connection pools
Deployment
Building [fleXive] from source
Troubleshooting
Multiple JBoss installations
JBossCache, Linux and IPv6
Apache ANT

  1. Administrator privileges on your machine

  2. The Sun Java 6 Platform, Standard Edition Development Kit

    1. Set your JAVA_HOME and JDK_HOME environment variable to your JDK root directory (e.g. JAVA_HOME=/usr/lib/jvm/java-6-sun on Linux, C:\Java\jdk1.6.0_03 on Windows)
  3. An application server ( JBoss or Glassfish) with EJB3 support

    1. Either download and install JBoss 4.2.2.GA or later ( ${jboss.home} denotes your JBoss installation directory)
    2. or download and install Glassfish V2 or later ( ${glassfish.home} denotes your Glassfish installation directory)
  4. A database (at the moment only MySql is supported)

    Download and install MySql 5.0 or later

    Currently, choosing UTF-8 as the default charset causes issues with the database setup scripts. Use the default setting (Latin1) instead.

  5. ImageMagick version 6.3.4 or later (optional)

  6. Apache ANT 1.7 and the ant-optional package

  7. A [fleXive] binary distribution or the [fleXive] source code, if you want to build [fleXive] from source

If you are interested in developing [fleXive], you will need the [fleXive] source code and an IDE like Eclipse or a proprietary solution.

The following sections are good starting points for future [fleXive] developers:

We provide the current generated [fleXive] API Documentation for you on our website.